/*
 * Copyright (c) 1991, 1993 Old Dominion University.
 * Copyright (c) 1991, 1993 University of North Carolina at Chapel Hill.
 * All rights reserved.
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  Old Dominion University and the University of North
 * Carolina at Chapel Hill make no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 */

/* Code enhancements designed by Dick At Lee (4/93) are marked: -RYA */

#include <stdio.h>
#include <X11/Xmd.h>
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include <X11/cursorfont.h>
#include <X11/keysymdef.h>
#include <X11/Xutil.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Toggle.h>
#include <X11/keysym.h>
#include <X11/Xaw/Text.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Label.h>
#include <X11/Shell.h>



#define CHAT_CONTENCE         1
#define CHAT_FLAG_ON          2
#define CHAT_FLAG_OFF         3
#define CHAT_HIDDEN           4
#define BOARD_TYPING          5
#define BOARD_DRAWING         6
#define BOARD_ERASSING        7 
#define BOARD_IMAGE_ID        8
#define BOARD_IMAGE_DATA      9
#define BOARD_RESIZING        10
#define BOARD_POINTER_START  11
#define BOARD_POINTER        12
#define BOARD_POINTER_END    13


typedef struct _Chat {
    Widget      chat_label;
    Widget      chat_wind;
    int         anon_on;        /* flag for anon typing window "on" -RYA */
    char        name[100];
  } Chat;


typedef struct _Packege {
    int     id;
    int     flag;
    int     depth;
    int     x;
    int     y;
    int     x1;
    int     y1;
    KeySym  p_keysym;
    BYTE    vs;
    BYTE    resize;
    char    string[180];
  } Packege;




Chat              chatinf[256];
static int        chatflag[256][256];
XtInputCallbackProc ChatCheck();
XtInputCallbackProc ChatHandler();
void ChatSwitch();
void ChatEventHandler();
void PackegeHandle();
void ChatHidDisplay();


