/*
 * Copyright (c) 1991, 1993 Old Dominion University.
 * Copyright (c) 1991, 1993 University of North Carolina at Chapel Hill.
 * All rights reserved.
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  Old Dominion University and the University of North
 * Carolina at Chapel Hill make no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 */

/*
   xtv_session.h
   This file contains the defines for the protocols between XTV clients and
   the XTV session infornation server.
*/


#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define  SESSION_START         20    /* start of XTV session                */
#define  SESSION_TERMINATE     21    /* end of XTV session                  */
#define  SESSION_QALLINFO      22    /* request for all session info        */
#define  SESSION_AALLINFO      23    /* response to all session info        */
#define  SESSION_QONEINFO      24    /* request for one session info        */
#define  SESSION_AONEINFO      25    /* response to one session info        */
#define  SESSION_QALIVE        26    /* request to determine session alive  */
#define  SESSION_AALIVE        27    /* response to session alive request   */

#define  END_OF_SESSION        (char) 2         /* end-of-sessoin delimeter */

#define  MAX_SESSION_MESSAGE_SIZE    32000      /* max packet size          */
#define  MAXHOSTNAME 80                         /* max hostname length      */
